# org.apache.http.conn.ssl

## Interfaces

- PrivateKeyStrategy
- TrustStrategy
- X509HostnameVerifier

## Classes

- AbstractVerifier
- AllowAllHostnameVerifier
- BrowserCompatHostnameVerifier
- DefaultHostnameVerifier
- NoopHostnameVerifier
- PrivateKeyDetails
- SSLConnectionSocketFactory
- SSLContextBuilder
- SSLContexts
- SSLSocketFactory
- StrictHostnameVerifier
- TrustAllStrategy
- TrustSelfSignedStrategy

## Exceptions

- SSLInitializationException